com.rscja.deviceapi.interfaces

## Interface IBarcode1D

- All Known Implementing Classes:
    Barcode1D, Barcode1D_mtk, Barcode1D_qcom

      public interface IBarcode1D

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()` 关闭一维扫描设备 Switch off 1D barcode scanning device.
    `boolean` | `isPowerOn()`
    `boolean` | `open()` 打开一维扫描设备 Switch on 1D scanning device.
    `boolean` | `open(android.content.Context context)` 打开一维扫描设备 Switch on 1D scanning device.
    `java.lang.String` | `scan()` 触发一次条码扫描 Enable barcode scanning for 1 time.
    `byte[]` | `scanBarcode()` 触发一次条码扫描 Enable barcode scanning for 1 time.
    `boolean` | `setBaudrate(int baudrate)`
    `void` | `setTimeOut(int time)` 设置超时时间 set time out.
    `boolean` | `stopScan()` 终止扫描 Scanning terminated

- - ### Method Detail

    - #### open

          boolean open(android.content.Context context)

      打开一维扫描设备
      Switch on 1D scanning device.
      Parameters:
        `context` - Context
      Returns:
        true:成功,false:失败
        true:success,false:failuer

    - #### open

          boolean open()

      打开一维扫描设备
      Switch on 1D scanning device.
      Returns:
        true:成功,false:失败
        true:success,false:failuer

    - #### setBaudrate

          boolean setBaudrate(int baudrate)

    - #### scan

          java.lang.String scan()

      触发一次条码扫描
      Enable barcode scanning for 1 time.
      Returns:
        扫描得到的条码信息
        scanning barcode infor that acquired.

    - #### scanBarcode

          byte[] scanBarcode()

      触发一次条码扫描
      Enable barcode scanning for 1 time.
      Returns:
        扫描得到的条码信息
        scanning barcode infor that acquired.

    - #### setTimeOut

          void setTimeOut(int time)

      设置超时时间
      set time out.
      Parameters:
        `time(500-10000` - ms) 超时时间
        TimeOut

    - #### stopScan

          boolean stopScan()

      终止扫描
      Scanning terminated
      Returns:
        true:成功，false:失败
        true:success, false:failuer

    - #### close

          boolean close()

      关闭一维扫描设备
      Switch off 1D barcode scanning device.
      Returns:
        true:成功，false:失败
        true:success, false:failuer

    - #### isPowerOn

          boolean isPowerOn()